### Function

# Json gobject_from_data

since: 0.10

#### Declaration [src]

    GObject*
    json_gobject_from_data (
      GType gtype,
      const gchar* data,
      gssize length,
      GError** error
    )

#### Description [src]

Deserializes a JSON data stream and creates an instance of the given type.

If the type implements the `JsonSerializable` interface, it will be asked to deserialize all the JSON members into their respective properties; otherwise, the default implementation will be used to translate the compatible JSON native types.

Note: the JSON data stream must be an object.

Available since: 0.10

#### Parameters

`gtype`

  Type: `GType`

  The type of the object to construct.

`data`

  Type: `const gchar*`

  A JSON data stream.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`length`

  Type: `gssize`

  Length of the data stream, or -1 if it is `NUL`-terminated.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GObject`

A new object instance of the given type.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.